CCW_DEVICE_GET_CIW(9)

NAME
ccw_device_get_ciw - Search for CIW command in extended sense data.

SYNOPSIS

struct ciw * ccw_device_get_ciw(struct ccw_device * cdev, __u32 ct);

ARGUMENTS

cdev
    ccw device to inspect

ct
    command type to look for

DESCRIPTION

During SenseID, command information words (CIWs) describing special commands available to the device may have been stored in the extended sense data. This function searches for CIWs of a specified command type in the extended sense data.

RETURNS

NULL if no extended sense data has been stored or if no CIW of the specified command type could be found, else a pointer to the CIW of the specified command type.

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT